cURL
curl -X GET \
/open-banking-accounts/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/open-banking-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/open-banking-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/open-banking-accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1b9e-0b1e-4e1a-8e0a-0b0b0b0b0b0b",
"alias": "My Bank Account",
"bankName": "My Bank",
"iban": "DE1234567*********5678",
"status": "linked",
"provider": "klarna",
"createdAt": "2021-01-01T00:00:00+00:00",
"validUntil": "2021-01-01T00:00:00+00:00",
"lastAccessedAt": "2021-01-01T00:00:00+00:00",
"lastInformedAt": "2021-01-01T00:00:00+00:00"
}Open Banking
Get open banking account
Get open banking account details.
Required permissions:open-banking-account:readGET
/
open-banking-accounts
/
{id}
cURL
curl -X GET \
/open-banking-accounts/{id} \
--header "Authorization: Bearer <token>"import requests
url = "https://coreapi.io/open-banking-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://coreapi.io/open-banking-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://coreapi.io/open-banking-accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "ad8f1b9e-0b1e-4e1a-8e0a-0b0b0b0b0b0b",
"alias": "My Bank Account",
"bankName": "My Bank",
"iban": "DE1234567*********5678",
"status": "linked",
"provider": "klarna",
"createdAt": "2021-01-01T00:00:00+00:00",
"validUntil": "2021-01-01T00:00:00+00:00",
"lastAccessedAt": "2021-01-01T00:00:00+00:00",
"lastInformedAt": "2021-01-01T00:00:00+00:00"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Pfadparameter
OpenBankingAccount identifier
Antwort
OpenBankingAccount resource
Beispiel:
"ad8f1b9e-0b1e-4e1a-8e0a-0b0b0b0b0b0b"
Beispiel:
"My Bank Account"
Beispiel:
"My Bank"
Beispiel:
"DE1234567*********5678"
Possible values:
linked: The account is linked and can be used for fetching transactionsdisabled: The account is disabled and cannot be used for fetching transactionsexpired: The account access is expired (usally after 90 days) and cannot be used for fetching transactionsfailed: The account linking is failed. Try to link the account again
Verfügbare Optionen:
linked, disabled, expired, failed Beispiel:
"linked"
Possible values:
klarna: The account is linked with Klarna
Verfügbare Optionen:
klarna Beispiel:
"klarna"
Beispiel:
"2021-01-01T00:00:00+00:00"
The date when the account access expires and a new consent is required
Beispiel:
"2021-01-01T00:00:00+00:00"
The last time the system accessed the account to obtain data
Beispiel:
"2021-01-01T00:00:00+00:00"
The last time the user was informed about the account expiration
Beispiel:
"2021-01-01T00:00:00+00:00"
War diese Seite hilfreich?